Subject: Re: bug#61350: Eglot over Tramp freezes with large project

From: João Távora <[email-masked]>
Date: Thu, 23 Feb 2023 15:22:33 +0000

On Thu, Feb 23, 2023 at 2:47 PM Thomas Koch <[email-masked]> wrote:
>
> Thanks João, but with the jsonrpc patch it is the same as with the previous patch: Emacs still hangs. This time I could unfreeze it with C-g, but it hangs again a moment later.

I'll need you to describe the conditions that lead Emacs to hang.
An Emacs -Q run, a server, an example file, all in all, a MRE. See
how this user informally but very effectively reported a bug in Eglot:

   https://lists.gnu.org/archive/html/emacs-devel/2023-02/msg00851.html

Here, I don't even understand whether you're trying this with TRAMP
or locally.

If I can't see the error you're facing in my machine, it's likely
I won't be of any help.  I can report I've been working for a few
hours with that patch with the Clangd server with no problems using
a local project (no TRAMP).

We can also wait for Michael to try out the patch, as I'm sure he
can report any problems just as clearly as he last did in this
thread.

João